package com.company;



/**
 * Игрок
 */
public class Player {
    private final Card[] cards = new Card[2];
    private String name;

    public Player(String name) {
        this.name = name;
    }

    /**
     * Установить карту в указанный слот
     * @param slot
     * @param card
     */
    public void setCards(CARD_SLOT slot, Card card) {
        cards[slot.ordinal()] = card;
    }

    public Card getCards(CARD_SLOT slot) {
        return cards[slot.ordinal()];
    }

    /**
     * Перечисление карт игрока.
     * FIRST - первая карта (или 0)
     * SECOND - вторая карта (или 1)
     */
    public enum CARD_SLOT {
        FIRST,
        SECOND,
    }
}
